routes/web.php
<?php

use App\Http\Controllers\AdresseController;
use App\Http\Controllers\CaracteristiqueController;
use App\Http\Controllers\CategorieProduitController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\ClimatController;
use App\Http\Controllers\CommandeController;
use App\Http\Controllers\DinosaureController;
use App\Http\Controllers\EnclosController;
use App\Http\Controllers\EnvironnementController;
use App\Http\Controllers\EspeceController;
use App\Http\Controllers\PersonnelController;
use App\Http\Controllers\ProduitController;
use App\Http\Controllers\TaxeController;
use App\Http\Controllers\TypeEnclosController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//Route::get('/dashboard', function () {
//    return view('dashboard');
//})->middleware(['auth'])->name('dashboard');
//
//require __DIR__.'/auth.php';

Route::get('/admin', function () {
    return view('pages/admin/index');
})->middleware(['auth'])->name('admin.index');

Route::prefix('admin')->middleware(['auth'])->group(function () {
    Route::resource('/personnels', PersonnelController::class);
    Route::resource('/enclos', EnclosController::class);
    Route::resource('/taxes', TaxeController::class);
    Route::resource('/produits', ProduitController::class);
    Route::resource('/categories-produits', CategorieProduitController::class);
    Route::resource('/dinosaures', DinosaureController::class);
    Route::resource('/especes', EspeceController::class);
    Route::resource('/caracteristiques', CaracteristiqueController::class);
    Route::resource('/climats', ClimatController::class);
    Route::resource('/environnements', EnvironnementController::class);
    Route::resource('/types-enclos', TypeEnclosController::class);
    Route::resource('/adresses', AdresseController::class);
//    Route::resource('/clients', ClientController::class);
    Route::get('/clients', [ClientController::class, 'index'])->name('clients.index');
    Route::get('/clients/{client}/edit', [ClientController::class, 'edit'])->name('clients.edit');
    Route::put('/clients/{client}', [ClientController::class, 'update'])->name('clients.update');
    Route::delete('/clients/{client}', [ClientController::class, 'destroy'])->name('clients.destroy');
});

require __DIR__.'/auth.php';

Route::get('/clients/create/{userId}', [ClientController::class, 'create'])->name('clients.create');
Route::post('/clients', [ClientController::class, 'store'])->name('clients.store');
Route::post('/clients/{client}', [ClientController::class, 'store'])->name('clients.show');

Route::post('/adresse', [AdresseController::class, 'store'])->name('adresse.store');
Route::get('/boutique', [CommandeController::class, 'index'])->name('boutique.index');
Route::post('/panier', [CommandeController::class, 'create'])->name('panier.create');
Route::put('/panier', [CommandeController::class, 'store'])->middleware(['auth'])->name('panier.store');

Route::get('/', [DinosaureController::class, 'homepage'])->name('homepage');

resources/views/includes/admin-header.blade.php
@auth()
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="{{ route('homepage') }}">DinoLand</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="{{ route('admin.index') }}">Tableau de bord</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="{{ route('personnels.index') }}" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Personnel
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="{{ route('personnels.index') }}">Membres du personnel</a></li>
                        <li><a class="dropdown-item" href="{{ route('personnels.create') }}">Ajouter un membre</a></li>
                    </ul>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="{{ route('personnels.index') }}" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Dinosaures
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="{{ route('dinosaures.index') }}">Dinosaures</a></li>
                        <li><a class="dropdown-item" href="{{ route('dinosaures.create') }}">Ajouter un dinosaure</a></li>
                        <li><a class="dropdown-item" href="{{ route('especes.index') }}">Gérer les espèces</a></li>
                        <li><a class="dropdown-item" href="{{ route('caracteristiques.index') }}">Gérer les caractéristiques</a></li>
                    </ul>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Produits
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="{{ route('produits.index') }}">Produits</a></li>
                        <li><a class="dropdown-item" href="{{ route('produits.create') }}">Ajouter un produit</a></li>
                        <li><a class="dropdown-item" href="{{ route('categories-produits.index') }}">Gérer les catégories</a></li>
                        <li><a class="dropdown-item" href="{{ route('taxes.index') }}">Gérer les taxes</a></li>
                    </ul>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Enclos
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="{{ route('enclos.index') }}">Enclos</a></li>
                        <li><a class="dropdown-item" href="{{ route('climats.index') }}">Gérer les climats</a></li>
                        <li><a class="dropdown-item" href="{{ route('environnements.index') }}">Gérer les environnements</a></li>
                        <li><a class="dropdown-item" href="{{ route('types-enclos.index') }}">Gérer les types d'enclos</a></li>
                    </ul>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Clients
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="{{ route('clients.index') }}">Clients</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>
@endauth

resources/views/includes/header.blade.php
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="{{ route('homepage') }}">Accueil</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('boutique.index') }}">Boutique</a>
                </li>
                @if(Auth::check())
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('admin.index') }}">Admin</a>
                </li>
                <li class="nav-item">
                    <form method="POST" action="{{ route('logout') }}">
                        @csrf

                        <x-dropdown-link :href="route('logout')"
                                         onclick="event.preventDefault();
                                                this.closest('form').submit();">
                            {{ __('Se déconnecter') }}
                        </x-dropdown-link>
                    </form>
                </li>
                @endif
                @if(!Auth::check())
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('login') }}">Se connecter</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('register') }}">S'inscrire</a>
                </li>
                @endif
            </ul>
{{--            <form class="d-flex">--}}
{{--                <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">--}}
{{--                <button class="btn btn-outline-success" type="submit">Search</button>--}}
{{--            </form>--}}
        </div>
    </div>
</nav>